Public Class Form1
    Dim intrebari() As String = {"Care proprietate a unui formular poate fi folosita pentru centrarea acestuia in cadrul ecranului la lansarea aplicatiei?", "Care din urmatoarele variante reprezinta o proprietate a unui formular?", "Care instructiune copie textul controlului txtNume in eticheta lblNume?"}
    Dim raspunsuri(,) As String = {{"FormPosition", "Align", "StartPosition", "AutoSize"}, {"Maximized", "ShowInTaskbar", "TextLength", "Color"}, {"txtNume.Text = lblNume.Text", "lblNume.ChangeText(txtNume.Text)", "lblNume = txtNume", "lblNume.Text = txtNume.Text"}}
    Dim index As Integer = 0
    Dim nota As Decimal = 0

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Label1.Text = intrebari(0)
        RadioButton1.Text = raspunsuri(0, 0)
        RadioButton2.Text = raspunsuri(0, 1)
        RadioButton3.Text = raspunsuri(0, 2)
        RadioButton4.Text = raspunsuri(0, 3)
        Button1.Enabled = False
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        If index < 3 Then
            If index = 0 Then
                If RadioButton3.Checked = True Then
                    nota += 3.33
                End If
            End If
            If index = 1 Then
                If RadioButton2.Checked = True Then
                    nota += 3.33
                End If
            End If
            If index = 2 Then
                If RadioButton4.Checked = True Then
                    nota += 3.33
                End If
            End If
        Else

        End If

        index += 1

        If index < 3 Then
            Label1.Text = intrebari(index)
            RadioButton1.Text = raspunsuri(index, 0)
            RadioButton2.Text = raspunsuri(index, 1)
            RadioButton3.Text = raspunsuri(index, 2)
            RadioButton4.Text = raspunsuri(index, 3)
            RadioButton1.Checked = False
            RadioButton2.Checked = False
            RadioButton3.Checked = False
            RadioButton4.Checked = False
            Button1.Enabled = False
        Else
            Button1.Text = "Finish"
            MsgBox("Nota finala este: " & Str(nota))
            Me.Close()
        End If
    End Sub

    Private Sub RadioButton1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton1.Click
        Button1.Enabled = True
    End Sub

    Private Sub RadioButton2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton2.Click
        Button1.Enabled = True
    End Sub

    Private Sub RadioButton3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton3.Click
        Button1.Enabled = True
    End Sub

    Private Sub RadioButton4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton4.Click
        Button1.Enabled = True
    End Sub
End Class